Page MenuHomePhabricator

Please add https//studiezaal.nijmegen.nl to $wgCopyUploadsDomains
Closed, ResolvedPublic

Description

I work as an archivist for Regionaal Archief Nijmegen.

As part of a regional Wikipedian in Residence-project I wish to upload image files to Wikimedia Commons. User Mtmlan84 is our wikipedian in residence.

Images we wish to upload have URL's like this one: https://studiezaal.nijmegen.nl/HttpHandler/icoon.ico?file=14230183

The image gallery I wish to add to Wikimedia Commons: https://studiezaal.nijmegen.nl/ran/_resultaat.aspx?invalshoek=22849198&invalshoeknaam=generiek&aantalperpagina=20&uitgebreid_zoeken=true&bsoorten_277=277&cmveldName_VrijXXzoeken=VrijXXzoeken&cmveldValue_VrijXXzoeken=%22Fotopersbureau%20Gelderland%22

No emergency, but it would be great if we could finish this project in 2017.

Event Timeline

Restricted Application added subscribers: Bawolff, Aklapper. · View Herald TranscriptNov 30 2017, 1:19 PM

Change 394379 had a related patch set (by MarcoAurelio) published:
[operations/mediawiki-config@master] Add https://studiezaal.nijmegen.nl to $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/394379

If there are no concerns with that domain being added I'll try to find a suitable deployment window to merge that patch.

Nihil obstat so scheduling this for the next avalaible SWAT window.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptDec 6 2017, 10:05 AM
MarcoAurelio triaged this task as Low priority.Dec 6 2017, 10:49 AM

Change 394379 merged by jenkins-bot:
[operations/mediawiki-config@master] Add https://studiezaal.nijmegen.nl to $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/394379

Mentioned in SAL (#wikimedia-operations) [2017-12-06T14:33:26Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:394379|Add https://studiezaal.nijmegen.nl to $wgCopyUploadsDomains (T181713)]] (duration: 00m 47s)

Hello @Reniervdg and @tomasz:

The domain has been whitelisted now. Could you please if it is working as expected?

Thanks.

Mentioned in SAL (#wikimedia-operations) [2017-12-06T18:05:34Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:394379|Add https://studiezaal.nijmegen.nl to $wgCopyUploadsDomains (T181713)]] (duration: 00m 49s)

tomasz closed this task as Resolved.Dec 6 2017, 10:57 PM

I'm not exactly sure how to test this, but as the URL has now been added to $wgCopyUploadsDomains, I'm assuming everything is working correctly.

Please do feel free to re-open this if that proves not to be the case.

Thank you for processing my request. I tried to test-upload an image file via URL with Pattypan, but this attempt failed. See the above attachment for the error.

Has this got anything to do with the form of URL? The URL's I am attempting to use are constructed like this: https://studiezaal.nijmegen.nl/HttpHandler/icoon.ico?file=14230183 They're not direct links that end with the image file extension (tif/jpg/etc).

@Reniervdg I think that might be caused because of the .ico file extension which the system does not allow to upload. @Reedy any ideas on what could be done here? Thanks.

@MarcoAurelio 'ico' is part of the URL, but if you copy/paste the URL in your browser, the image file you download is a .tif

Abbe98 added a subscriber: Abbe98.Dec 11 2017, 11:34 AM

@Reniervdg are you using a custom build of Pattypan? Uploading by URL has not landed in a release yet...

@Reniervdg you can solve this by making sure the name column in your spreadsheet ends with the expected file extension, in this case .tif. This is required by Pattypan when uploading from URL.